none
VS 2010 SP1 doesn't create Enitity Model for SQL Server CE 4.0

    Question

  • I installed SP1 for VS 2010 and "Microsoft Visual Studio 2010 SP1 Tools for SQL Server Compact 4.0 CTP2".

    When I try to add new SQL CE 4.0 database, Visual Studio adds it with warning:

    "The version of the Microsoft SQL Server Compact database that you are adding to the project is not supported by the project type. The database will be added to the project, but tool such as the Dataset Designer will not work with this database."

    This message show with any project type. Trying to add ADO.NET Entity Data Model doesn't see SQL Server CE 4.0 databases. Why is this so? Also SQL Server 2008 R2 doesn't let working with SQL CE 4.0.

     


    There is no knowledge that is not power.

     

    Friday, December 17, 2010 8:59 AM

Answers